Add Team Member
curl --request POST \
--url https://api.heybee.app/v1/teams/{team_id}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"can_access_experiments": true,
"can_export_data": false,
"can_manage_billing": false,
"can_manage_experiments": false,
"can_manage_members": false,
"can_manage_sessions": false,
"can_view_private_votes": false,
"can_vote": true,
"role": "evaluator"
}
'import requests
url = "https://api.heybee.app/v1/teams/{team_id}/members"
payload = {
"username": "<string>",
"can_access_experiments": True,
"can_export_data": False,
"can_manage_billing": False,
"can_manage_experiments": False,
"can_manage_members": False,
"can_manage_sessions": False,
"can_view_private_votes": False,
"can_vote": True,
"role": "evaluator"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
can_access_experiments: true,
can_export_data: false,
can_manage_billing: false,
can_manage_experiments: false,
can_manage_members: false,
can_manage_sessions: false,
can_view_private_votes: false,
can_vote: true,
role: 'evaluator'
})
};
fetch('https://api.heybee.app/v1/teams/{team_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"can_access_experiments": true,
"can_export_data": true,
"can_manage_billing": true,
"can_manage_experiments": true,
"can_manage_members": true,
"can_manage_sessions": true,
"can_view_private_votes": true,
"can_vote": true,
"created_at": "2023-11-07T05:31:56Z",
"membership_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"capabilities": {},
"email": "<string>",
"is_owner": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Teams
Add Team Member
POST
/
v1
/
teams
/
{team_id}
/
members
Add Team Member
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 255Available options:
owner, admin, builder, analyst, evaluator Response
Successful Response
Available options:
owner, admin, builder, analyst, evaluator Show child attributes
Show child attributes
⌘I

